import json
from seleniumwire import webdriver
from seleniumwire.utils import decode

from selenium.webdriver.chrome.service import Service
from selenium.webdriver.chrome.options import Options

from selenium.webdriver.common.by import By
from selenium.webdriver.common.keys import Keys

from webdriver_manager.chrome import ChromeDriverManager

import time

############################################################

#서비스 변수 생성
customService = Service(ChromeDriverManager().install())
#옵션 변수 생성
customOption = Options()

#드라이버 객체 생성
browser = webdriver.Chrome(service = customService, options = customOption)

URL = 'https://datalab.naver.com/shoppingInsight/sCategory.naver'
browser.get(URL)
browser.implicitly_wait(10)

######################################################################

#조회하기 버튼 클릭
browser.find_element(By.XPATH, '//*[@id="content"]/div[2]/div/div[1]/div/a').click()
time.sleep(2)

for request in browser.requests:
    #네트워크 패킷 정보 수집
    # print(request)

    if str(request) == 'https://datalab.naver.com/shoppingInsight/getCategoryClickTrend.naver':
        
        print(request)
        print(request.response.body)

        decodeData = decode(request.response.body, request.response.headers.get('Content-Encoding', 'identity')).decode('utf-8')
        print(decodeData)
        jsonData = json.loads(decodeData)